Last Comment Bug 306426 - Certain submenus blink (flash, flicker) rapidly and do not expand when highlighted (hovered over)
: Certain submenus blink (flash, flicker) rapidly and do not expand when highli...
Status: VERIFIED FIXED
[please see comment 46 before comment...
: fixed1.8.1, regression, verified1.8.0.2
Product: Core
Classification: Components
Component: Layout: View Rendering (show other bugs)
: Trunk
: x86 All
: -- major with 14 votes (vote)
: ---
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
: Hixie (not reading bugmail)
Mentors:
http://img113.imageshack.us/my.php?im...
: 301561 307709 309032 311227 311490 314188 317082 318936 320113 320576 320824 323484 325124 325971 331605 (view as bug list)
Depends on:
Blocks: 312693 316268
  Show dependency treegraph
 
Reported: 2005-08-30 04:09 PDT by naveen
Modified: 2006-03-24 09:25 PST (History)
41 users (show)
mscott: blocking1.8rc1-
dveditz: blocking1.8.0.2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
gmail replacer (302 bytes, text/html)
2005-09-05 10:10 PDT, Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( )
no flags Details
fix (3.87 KB, patch)
2005-11-27 19:59 PST, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
dbaron: review+
dbaron: superreview+
dbaron: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Review

Description naveen 2005-08-30 04:09:21 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20050828 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20050828 Firefox/1.6a1

menu highlight in bookmarks menu is blinking rapidly and not responsive to
movement of cursor on the bookmarks submenus.

Reproducible: Sometimes

Steps to Reproduce:
1.open bookmars menu
2.
3.

Actual Results:  
blinking menu highlight and unresponsive menu navigation

Expected Results:  
steady hightlight of current menu item and responsive menu navigation.
Comment 1 Ria Klaassen (not reading all bugmail) 2005-08-30 10:38:52 PDT
I see this too sometimes. When I move my mouse over the contents of the main
Bookmarks menu the selections start flickering. 
The statusbar urls flicker in the same rhythm. Bookmarks folders don't expand,
except for the Bookmarks Toolbar Folder and its subfolders.
Links work normally.

I see it also in the Go menu, but never two menus at the same time. 

It happens in trunk and in branch. I haven't found out yet if it has something
to do with an extension. I'll try disabling the ones I installed in the last few
weeks.
Comment 2 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-09-05 08:26:09 PDT
I saw this once after I changed a theme on windows2000.
Happened with the Bookmarks menu and the Go menu. Not with any other menu.
Comment 3 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-09-05 08:58:48 PDT
Ok, I think I have a reproducable way to experience the bug:
- Open Gmail (you've to have a gmail account and be logged in).
- Minimise the browser.
- Wait for a while (1 minute or so). Probably some kind of frame loading needs
to happen.
- Change you os theme with the windows theme manager.

After the theme change, the browser comes automatically up (bug 307117 or earlier)
In the Gmail tab, the issue doesn't happen.

- Open a new tab.
- Now hover over the bookmark menu-items, you get to see the bug.

Another aspect of the bug:
The bug only happens over the bookmark menu-items that are over the content area.

This could be a windows widget issue, I guess.
Comment 4 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-09-05 10:10:59 PDT
Created attachment 194934 [details]
gmail replacer

This can act as a replacement for Gmail. The rest of the steps need to be
carried out in the same wayl
Comment 5 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-09-05 10:20:02 PDT
Well, I have been able to reproduce it in 2005-08-26 build, but not in
2005-08-25 build.
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-08-25+07%3A00%3A00&maxdate=2005-08-26+08%3A00%3A00&cvsroot=%2Fcvsroot
But I haven't been able to consistently reproduce it, so this regression range
might be bogus.
Comment 6 Adam Guthrie 2005-09-10 00:13:46 PDT
*** Bug 301561 has been marked as a duplicate of this bug. ***
Comment 7 Adam Guthrie 2005-09-10 00:16:50 PDT
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20050909 Firefox/1.6a1
ID:2005090916

Seeing this on Linux (Fedora Core 4 with GNOME), too.
Comment 8 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-09-17 00:43:25 PDT
Hmm, this is probably an older bug. The duped bug indicates rv:1.8b3)
Gecko/20050712 as user agent.
Comment 9 Adam Guthrie 2005-09-18 15:35:11 PDT
*** Bug 309032 has been marked as a duplicate of this bug. ***
Comment 10 Adam Guthrie 2005-09-29 11:25:19 PDT
*** Bug 307709 has been marked as a duplicate of this bug. ***
Comment 11 Vidar Haarr (not reading bugmail) 2005-10-05 12:30:24 PDT
See bug 311227, which has a link to a Flash movie that I believe illustrates the
same issue as this bug.
Comment 12 José Jeria 2005-10-05 14:38:10 PDT
*** Bug 311227 has been marked as a duplicate of this bug. ***
Comment 13 Vidar Haarr (not reading bugmail) 2005-10-05 14:57:48 PDT
drivers: This is a highly visible bug, making bookmark folders and advanced
features of Seamonkey available from the menus essentially unusable.

Note that unfortunately it does not have any good steps for reproduction or
testcases yet, but it does happen with every browser session I have.

Nominating blocking1.8rc1.
Comment 14 José Jeria 2005-10-05 15:13:56 PDT
I can only reproduce this issue when the computer comes back from sleep mode (xp)
Comment 15 Adam Guthrie 2005-10-07 11:02:22 PDT
*** Bug 311490 has been marked as a duplicate of this bug. ***
Comment 16 Scott MacGregor 2005-10-10 16:51:29 PDT
We'd need better steps to reproduce.

Not a stop ship bug this late in the game, if this was on the radar earlier, it
may have been something we would have tried to address. 

Comment 17 Rich Kujoth 2005-10-11 07:57:27 PDT
I also see this after using remote desktop (windows terminal services) into the
system to use firefox 1.5 B1 and B2.  I do not see this behavior in 1.07.
Comment 18 Robert Glover 2005-10-26 07:43:29 PDT
I have seen this also in Firefox 1.5b1 and 1.5b2.  I seem to get it every time (in the bookmarks).  I'm using Firefox 1.5b2 with Gnome on Unbuntu Linux.
Comment 19 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-10-28 08:17:00 PDT
*** Bug 314188 has been marked as a duplicate of this bug. ***
Comment 20 Ria Klaassen (not reading all bugmail) 2005-10-31 02:55:18 PST
I could reproduce it with the testcase of comment #3, but only 3 times.
Then it stopped.
I have never changed XP themes before so it might not depend on themes.
The few times it happened to me I had the browser open for a longer time (more than an hour). Because of scrolling problems (scrolling becomes laggy after some time) I have to restart the browser frequently and this might be the cause that I don't see this bug anymore.
Comment 21 Ria Klaassen (not reading all bugmail) 2005-10-31 03:41:37 PST
Oh well, when I have two browsers open (branch and trunk) and one with Gmail and I change themes, the bug does not happen in the browser with Gmail but in the other one! :D
Comment 22 dan 2005-11-02 20:42:34 PST
I observed the same, and that sub menus are highlighted when pointer is moving over them, but not when it is still - producing a flickering effect. 

Hovering does not open submenu, but clicking does.
Comment 23 Robert Glover 2005-11-03 05:52:05 PST
I see the same behavior as comment #22 with 1.5-RC1 using the default Firefox theme (on Fedora Core 4).
Comment 24 dan 2005-11-10 16:41:56 PST
Appears to fixed for me in 1.5rc2..
Comment 25 dan 2005-11-10 17:57:42 PST
Spoke too soon :| It's a tough one - sometimes comes on straight away, sometimes after several hours use.

I note now that all the icons for the bookmark folders are now permanently stuck in the open mode. An hour ago, before the flickering came back, they switched from closed to opened folders as the mouse passed over them.
Comment 26 Anders Conbere 2005-11-10 22:09:44 PST
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051110 Firefox/1.5

Linux RC 2 observed.
Comment 27 Marco Polo 2005-11-15 09:54:00 PST
(In reply to comment #26)
> Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051110 Firefox/1.5
> 
> Linux RC 2 observed.
> 

I observed the same problem on Windows Server 2003. It does not occurred immediately but only after some delay. Moreover, the problem exists only when there is more than one tab and it does not appear on the most left tab.

Same configuration (RC2 + extensions) is OK on Windows XP Pro SP1.
Comment 28 Warner Young 2005-11-15 10:28:53 PST
When I've seen this bug, it's always been right after I did something with tabs, such as after opening a new blank tab.  Definitely doesn't have anything to do with changing themes in Windows for me.
Comment 29 Andrew Schultz 2005-11-18 21:53:16 PST
*** Bug 317082 has been marked as a duplicate of this bug. ***
Comment 30 siimo 2005-11-18 22:02:19 PST
I get this on 1.5 RC3 of firefox on ubuntu linux. 
makes the browser unusable for me since I heavily use bookmarks, I guess have to use 1.0.7 till this bug is fixed. 
Comment 31 Francois Ingelrest 2005-11-19 01:31:29 PST
(In reply to comment #30)
> I get this on 1.5 RC3 of firefox on ubuntu linux. 
> makes the browser unusable for me since I heavily use bookmarks, I guess have
> to use 1.0.7 till this bug is fixed. 

I see it also on Ubuntu, but even if it's flashing, you can still 'manually' click to open submenus.
Comment 32 Björn Martensen 2005-11-19 07:28:56 PST
I have had the same problem too in rc1, rc2 and rc3 (haven't used the betas).
os: arch linux
firefox: rc3 from mozilla.org
Comment 33 Andreas Kuckartz 2005-11-26 23:56:16 PST
I encounter the bug using Firefox 1.5 RC 3 on Debian with bleeding edge Debian packages.

I confirm the workaround mentioned in Comment #31
Comment 34 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2005-11-27 19:43:24 PST
I think this could be mouse event synthesis not dealing well with floating views --- view display lists for event handling won't include floating views if the event wasn't dispatched from a floating view (unless the mouse is being captured).
Comment 35 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2005-11-27 19:59:33 PST
Created attachment 204333 [details] [diff] [review]
fix

This fixes it for me *in my frame display list branch* which reproduces the bug 100% of the time. Martijn, could you test this on a regular build?
Comment 36 Adam Guthrie 2005-11-27 21:55:43 PST
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051123 Firefox/1.6a1

This patch fixes it for me on Linux. I guess Martijn can verify that it works on Windows.
Comment 37 siimo 2005-11-27 22:25:20 PST
Hi how do i use this patch on 1.5 branch? it fails to patch :

patching file view/src/nsViewManager.cppHunk #1 FAILED at 2827. 1 out of 1 hunk FAILED -- saving rejects to file view/src/nsViewManager.cpp.rej
Comment 38 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-11-28 10:41:45 PST
(In reply to comment #35)
> This fixes it for me *in my frame display list branch* which reproduces the bug
> 100% of the time. Martijn, could you test this on a regular build?
I think I still see the issue with the patch (I only need to rebuild view/ , right?)

Comment 39 Andrew Schultz 2005-11-28 10:47:19 PST
you need to relink layout ("make libs" in layout/build/)
Comment 40 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-11-28 11:47:26 PST
(In reply to comment #39)
> you need to relink layout ("make libs" in layout/build/)
Oops, I keep forgetting that.
Anyway, after I've rebuilt that, it seems to be fixed, indeed.

Comment 41 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2005-11-28 13:53:17 PST
great!
Comment 42 Rich Kujoth 2005-11-29 09:35:26 PST
When will this fix be included in a release?
Comment 43 John 2005-11-30 08:04:27 PST
Just to be sure, I still have this problem in the ff 1.5 release. The rules I found are:

-It never seems to appear in the first tab (only in second or higher tabs)
-The flickering only appears on menu items that are above the navigation area.

Was the patch included in 1.5?
Thanks
Comment 44 Vidar Haarr (not reading bugmail) 2005-11-30 08:19:11 PST
No.

The fix will most likely be included in Firefox 2.0, and *might* be included in a 1.5 point-release, if there ever is one.
Comment 45 pile0nades 2005-12-02 03:30:19 PST
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5 - Build ID: 2005111116

I was able to reproduce this, but only once, by:

1. Minimize Firefox.
2. Open Display Properties window and change Windows theme. Firefox is unminimized automatically.
3. Hover items in bookmarks menu. 

The bookmarks flicker but the folders do not, and open normally. Items in subfolders also flicker. I have also had this happen to links; the cursor would rapidly switch between the hand and arrow icon when hovering a link.
Comment 46 Adam Guthrie 2005-12-02 11:54:24 PST
I just want to make this clear. There is a patch for this bug. Martijn and I have tested it on Windows and Linux, and it does indeed fix the problem. Now, this patch is still pending a review, and branch and trunk check-in. That stated, I don't see any reason to post any new comments here saying how to reproduce the issue, or that you're still seeing the issue.
Comment 47 José Jeria 2005-12-03 10:38:42 PST
*** Bug 318936 has been marked as a duplicate of this bug. ***
Comment 48 Ben Griffiths 2005-12-05 16:48:32 PST
Hi, how will I be able to resolve this issue? Its annoying as hell when it happens! Will it be part of an update, or will I need to download a patch etc? Thanks, Ben.
Comment 49 John 2005-12-05 21:34:01 PST
I'm not sure this is related, but I suspect it is - so I won't create a new bug yet:

Sometimes, right-clicking to save an image, the dialog appears, but when the mouse moves, it disappears and re-appears elsewhere (no buttons pressed). Most of the time, it appears above the cursor, then reappears below the cursor. this seems to be multiple event issue somewhat similar to the above.

Anyone notice this?
John
Comment 50 Boris Zbarsky [:bz] 2005-12-05 23:21:05 PST
I rather doubt that's related...
Comment 51 John 2005-12-06 08:21:36 PST
Now here's an interesting item:

I downloaded the source code, thinking about applying the patch. Compiled
it first (no patch), Started the program, and I cannot get the flickering
to occur...

Both binary and self-compiled versions claim same date 20051111.
Looked through the code where the patch should go, but it doesn't see to be
there. Has this be corrected somewhere else?

John
Comment 52 Steven.S 2005-12-12 16:40:24 PST
I experience this problem very frequently on Ubuntu amd64 with a Firefox 1.5 that I compiled (and on the 32 bit official 1.5 build I had for awhile). I attempted to apply the patch but the patch command gave an error similar to comment 37. I then applied the patch by hand and recompiled with no errors. The bug is still present for me though on my new build with the patch. In fact, it is even more prevalent in that it now does it 100% of the time instead of randomly.

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051212 Firefox/1.5
Comment 53 Elmar Ludwig 2005-12-13 09:11:27 PST
*** Bug 320113 has been marked as a duplicate of this bug. ***
Comment 54 Brad Jackson 2005-12-13 20:22:30 PST
(In reply to Comment #52 From Steven.S  2005-12-12 16:40 PST)
> In fact, it is even more prevalent in that it now does it 100% of the time instead of randomly.

I also applied the patch manually and built my own binary from the  FIREFOX_1_5_RELEASE branch in CVS. At first, I also had the flicker 100% of the time. Then I was looking at the original nsViewManager.cpp and I think it referred to event.point rather than event.refPoint, so I changed it to "event.point = mMouseLocation - offset" and that fixed the flickering menus for me. Not sure if that is the correct fix, but I've been enjoying my flicker-free Firefox for the past week or two.
Comment 55 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2005-12-13 23:45:22 PST
Comment on attachment 204333 [details] [diff] [review]
fix

>+ * views aren't necessarily included in their parent's bounds, so this could
>+ * traverse the entire view hierarchy --- use carefully.

s/could/will usually/, since most points aren't in floating views

You could in theory optimize the IsViewVisible call, but I really don't think it's worth it; it would introduce significant complexity for little value.

r+sr=dbaron.  Sorry for the delay.
Comment 56 Steven.S 2005-12-14 10:47:05 PST
(In reply to Comment #54 From Brad Jackson  2005-12-13 20:22 PST)

I made the changes Brad suggested and now the menus do not flicker on my build. Patch needs to be updated before it is checked in.
Comment 57 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-12-14 16:34:34 PST
This is a trunk patch, the refPoint stuff was added with bug 296036.
So the patch will work correctly on trunk.
Bugs like this one need first to be fixed on trunk, before getting considered getting fixed on branch.
Comment 58 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2005-12-14 19:34:08 PST
checked in
Comment 59 Ria Klaassen (not reading all bugmail) 2005-12-16 13:48:16 PST
*** Bug 320576 has been marked as a duplicate of this bug. ***
Comment 60 Ria Klaassen (not reading all bugmail) 2005-12-19 11:09:15 PST
*** Bug 320824 has been marked as a duplicate of this bug. ***
Comment 61 Hideo Oshima 2006-01-22 23:43:20 PST
Firefox 1.5 has shipped with this problem.
Is there plan to checkin 1.8 branch?
Comment 62 Marco Polo 2006-01-24 05:44:37 PST
I am just installed update 1.5.0.1 on my computer (Windows 2003 Server, Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1) and I note the bug is not yet fixed !
Comment 63 Boris Zbarsky [:bz] 2006-01-24 08:11:41 PST
IF this bug were shipped on the 1.8.0 branch, there would be a keyword saying so.  This bug is fixed on TRUNK.  That's what "fixed" means.  Note the approval request for the patch (for the 1.8.1 branch Firefox 2 will be based off of).
Comment 64 Christopher Curzio 2006-01-29 06:45:02 PST
*** Bug 325124 has been marked as a duplicate of this bug. ***
Comment 65 Elmar Ludwig 2006-01-30 03:04:47 PST
*** Bug 323484 has been marked as a duplicate of this bug. ***
Comment 66 Elmar Ludwig 2006-02-05 04:26:47 PST
*** Bug 325971 has been marked as a duplicate of this bug. ***
Comment 67 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-02-07 15:25:09 PST
Comment on attachment 204333 [details] [diff] [review]
fix

branch-1.8.1=dbaron, but be careful merging it to the MOZILLA_1_8_BRANCH if the patch is from after the event coordinate changes
Comment 68 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-16 11:27:49 PST
checked into branch.

The event coordinate changes were not an issue, I just had to change refPoint to point. In the old code, event.point starts as pixels relative to the widget origin, and then gets copied to .refPoint and itself morphs into twips relative to view, in nsViewManager::HandleEvent. So at this point in the old code, .point meant what .refPoint always means now.
Comment 69 Tommy Becker 2006-02-17 16:41:30 PST
(In reply to comment #44)
> No.
> 
> The fix will most likely be included in Firefox 2.0, and *might* be included in
> a 1.5 point-release, if there ever is one.
> 

Sorry for the spam, but is there any way this can get shipped in 1.5.0.2 assuming there is one?  This bug is highly visible, occurs on every platform as far as I can tell, and is downright infuriating.  Even restarting the browser isn't much help when the problem recurs in a few minutes time.

Comment 70 Matthew Kidd 2006-02-18 16:02:36 PST
(In reply to comment #69)
> (In reply to comment #44)
> > No.
> > 
> > The fix will most likely be included in Firefox 2.0, and *might* be
> > included in a 1.5 point-release, if there ever is one.
> 
> Sorry for the spam, but is there any way this can get shipped in 1.5.0.2
> assuming there is one?  This bug is highly visible, occurs on every platform
> as far as I can tell, and is downright infuriating.  Even restarting the 
> browser isn't much help when the problem recurs in a few minutes time.

I concur. I decided not to upgrade our (albeit small) organization to Firefox
1.5 after running into this bug. The user reaction will be "it's broken", even
if everything else works great.
Comment 71 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-19 00:04:48 PST
Comment on attachment 204333 [details] [diff] [review]
fix

Let's see what the branch drivers say. I agree that this is a serious polish issue. The risk is not zero but the fix has been on trunk for two months with no reported regressions.
Comment 72 Daniel Veditz [:dveditz] 2006-02-22 12:27:26 PST
Comment on attachment 204333 [details] [diff] [review]
fix

approved for 1.8.0 branch, a=dveditz for drivers
Comment 73 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-22 18:56:01 PST
checked in on branch.
Comment 74 Dave Liebreich [:davel] 2006-02-24 14:53:50 PST
Could someone who has verified this fix on the trunk please pick up the latest 1.5 nightly and verify the fix on the branch?  Please adda comment here with your findings.
Comment 75 Andreas Kuckartz 2006-02-24 16:05:48 PST
I have not seen that problem for some time now. Currently I am using version 1.5.0.1 on Debian.
Comment 76 Jay Patel [:jay] 2006-03-06 17:57:24 PST
v.fixed on 1.8.0 branch with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060306 Firefox/1.5.0.2, no flickering in bookmarks with steps from comment #3 (and gmail replacer attachment).

If others are seeing this problem with 1.5.0.1, please retest with the latest 1.8.0 branch builds and let us know if things work better for you.  Thanks.
Comment 77 Aurèle Aubert 2006-03-24 09:25:32 PST
*** Bug 331605 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.